#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("TLTB3.INP");
	long int n;
	fi>>n;
	fi.close();
	ofstream fo("TLTB3.OUT");
	long int s=1;
	for(long int i=2;i<n;i++)
    {
        s=s+pow(i,3);
    }
    long int m;
    m=sqrt(s);
    fo<<m;
}
